c FDHOSTREMOT subroutines for opening the net or closing the net
c and for performing initial QIO to get device sizes.
	SUBROUTINE NETOPN(NETCHN,NETTRK,NETSCT,NETCYL,NETBLK)
	INTEGER*4 NETCHN,NETTRK,NETSCT,NETCYL,NETBLK
C Open channel to node FDNODE using DECnet object FDOBJ (logicals
C in both cases) and perform initial I/O to that object to
C read the device attributes from it.
	include '($iodef)'
	Integer*4 lib$sys_trnlog,sys$assign,sys$qiow
	External lib$sys_trnlog,sys$assign,sys$qiow
	Character*80 DstNode,DstTsk,rmtnam
	Integer*4 Status,IDSTL,iobjl
	Integer*4 Sizes(4)
	netblk=0
	netchn=0
c Zero in channel indicates failure
c First translate the logicals
	Status=lib$sys_trnlog('FDNODE',IDSTL,DstNode)
	if(.not.status)return
	Status=lib$sys_trnlog('FDOBJ',iobjl,DstTsk)
	if(.not.status)return
	rmtnam=dstnode(1:idstl)//'::"task='//dsttsk(1:iobjl)//'"'
	irmtl=9+idstl+iobjl
	status=sys$assign(rmtnam(1:irmtl),NETCHN,,)
	if(.not.status)return
C Now must fill in the size attributes, which have to come from the
C remote node server. This server is expected to write a startup
C message upon being fired up and opening its' sys$net channel
C and this message should contain our information.
	STATUS=SYS$QIOW(%VAL(1),%VAL(NETCHN),%VAL(IO$_READVBLK),
     1  ,,,SIZES,%VAL(16),,,,)
	if(.not.status)return
C SIZES ARRAY now contains the t/s/c/b stuff
	netblk=sizes(4)
	nettrk=sizes(1)
	netsct=sizes(2)
	netcyl=sizes(3)
C this completes our work here. Return to main for rest. Server at remote
C will now issue a READ and await info on what to do. It must always
C read a block in, then write back either status alone or data and
C status. Reads are expected to be able to handle the full 8K plus
C of data for FDDRV buffers. (8K plus buffer header size, which currently
C is 20 bytes but can be made to be 24 by conditional assembly of FDDRV.)
	RETURN
	END
	SUBROUTINE NETCLS(NETCHN)
	INTEGER*4 NETCHN
C close net channel.
	Integer*4 sys$dassgn
	External sys$dassgn
	Integer*4 junk
	junk=sys$dassgn(%val(netchn))
C just deassign the channel and return. if it fails, return anyway.
	RETURN
	END
